import React from 'react';
import { Meteor } from 'meteor/meteor';
import { render } from 'react-dom';
 
Meteor.startup(() => {
  ReactDOM.render(   
		  <EJ.Grid dataSource = {window.gridData} pageSettings-currentPage={2} allowGrouping = {true} 
      allowPaging = {true} allowSorting= {true}>
        <columns>
          <column field="OrderID" headerText="Order ID" textAlign="right" width={90} />
          <column field="EmployeeID" headerText="Employee ID" textAlign="right" width={90} />
          <column field="Freight" headertext="Freight" width={90} />
        </columns>
        </EJ.Grid>,
      document.getElementById('container')
    );
    var autocomplete_data = [
    { text: "Algeria", sprite: "flag-dz" }, { text: "Argentina", sprite: "flag-ar" },
        { text: "Armenia", sprite: "flag-am" }, { text: "Brazil", sprite: "flag-br" },
        { text: "Bangladesh", sprite: "flag-bd" }, { text: "Canada", sprite: "flag-ca" },
        { text: "Cuba", sprite: "flag-cu" }, { text: "China", sprite: "flag-cn" },
        { text: "Denmark", sprite: "flag-dk" }, { text: "Estonia", sprite: "flag-ee" },
        { text: "Egypt", sprite: "flag-eg" }, { text: "France", sprite: "flag-fr" },
        { text: "Finland", sprite: "flag-fi" }, { text: "Greenland", sprite: "flag-gl" },
        { text: "India", sprite: "flag-in" }, { text: "Indonesia", sprite: "flag-id" },
        { text: "Malaysia", sprite: "flag-my" }, { text: "Mexico", sprite: "flag-mx" },
        { text: "New Zealand", sprite: "flag-nz" }, { text: "Netherlands", sprite: "flag-nl" },
        { text: "Norway", sprite: "flag-no" }, { text: "Portugal", sprite: "flag-pt" },
        { text: "Poland", sprite: "flag-pl" }, { text: "Qatar", sprite: "flag-qa" },
        { text: "Romania", sprite: "flag-ro" }, { text: "Spain", sprite: "flag-es" },
        { text: "Singapore", sprite: "flag-sg" }, { text: "Saudi Arabia", sprite: "flag-sa" },
        { text: "Thailand", sprite: "flag-th" }, { text: "Turkey", sprite: "flag-tr" },
        { text: "Ukraine", sprite: "flag-ua" }, { text: "United States", sprite: "flag-us" },
        { text: "Uruguay", sprite: "flag-uy" }, { text: "Viet Nam", sprite: "flag-vn" },
        { text: "Yemen", sprite: "flag-ye" }
    ];

    var fields={"text":"text","key":"sprite"}
    ReactDOM.render(   
       <EJ.Autocomplete id="default" dataSource = {autocomplete_data} fields={fields} watermarkText="Select a country" width="300">
      </EJ.Autocomplete>,
      document.getElementById('autocomplete-default')
    );
});